Package org.eclipse.m2m.atl.emftvm.ant

# Class OutModelSet

java.lang.Object
org.eclipse.m2m.atl.emftvm.ant.ModelElement
org.eclipse.m2m.atl.emftvm.ant.OutModelSet

public class OutModelSet extends ModelElement
Nested Ant output model element set.

## Constructor Summary

Constructors
Constructor
Description
`OutModelSet()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getDir()`
Returns the base directory.
`String`
`getSuffix()`
Returns the model filename suffix.
`void`
`setDir(File dir)`
Sets the base directory.
`void`
`setSuffix(String suffix)`
Sets the model filename suffix.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.ModelElement

`getAs, getName, isAllowInterModelReferences, setAllowInterModelReferences, setAs, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutModelSet

public OutModelSet()

## Method Details

### getDir

public File getDir()
Returns the base directory.

Returns:
  the dir

### setDir

public void setDir(File dir)
Sets the base directory.

Parameters:
  `dir` - the dir to set

### setSuffix

public void setSuffix(String suffix)
Sets the model filename suffix.

Parameters:
  `suffix` - the suffix to set

### getSuffix

public String getSuffix()
Returns the model filename suffix.

Returns:
  the suffix